summaryrefslogtreecommitdiffstats
path: root/testApp.sh
diff options
context:
space:
mode:
authorMichael Neves2012-01-25 18:22:31 +0100
committerMichael Neves2012-01-25 18:22:31 +0100
commit6b1eebad28870e6eef578782bac394f83c279c24 (patch)
treec2f14f3f4f5449a24bb93871310ea07f70aecf9b /testApp.sh
parenttestApp custom (diff)
parentdebug console fixed, now basicly tail on logfile (diff)
downloadfbgui-6b1eebad28870e6eef578782bac394f83c279c24.tar.gz
fbgui-6b1eebad28870e6eef578782bac394f83c279c24.tar.xz
fbgui-6b1eebad28870e6eef578782bac394f83c279c24.zip
Merge branch 'master' of git.openslx.org:openslx-ng/fbgui
Conflicts: testApp.sh
Diffstat (limited to 'testApp.sh')
-rwxr-xr-xtestApp.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/testApp.sh b/testApp.sh
index 7e044b8..132208c 100755
--- a/testApp.sh
+++ b/testApp.sh
@@ -11,10 +11,29 @@
# -s <path>, --serial=<path> sets path to serial number file
#
# Note: all path are expected to be absolute.
+<<<<<<< HEAD
QT_VERSION=Qt-4.8.0
+=======
+#
+# Adapt these to your own system.
+QT_VERSION=Qt-4.7.2
+PATH_TO_FBGUI_BUILD=/home/joe/workspace/fbgui
+
+# check if network discovery is activated and if running as root
+for ARG in $*
+do
+if [ "x$ARG" = "x-n" ]; then
+ if [ $(whoami) != "root" ]; then
+ echo "Network Discovery activated, you need to be root."
+ exit 1;
+ fi
+fi
+done
+>>>>>>> 2abf1cec73371fb4a97a078a47f521d23fbf0775
# clean /tmp/fbgui
[ -d /tmp/fbgui ] && rm -rf /tmp/fbgui
+[ -f /tmp/fbgui.log ] && rm /tmp/fbgui.log
[ -f /tmp/fbgui_trigger ] && rm /tmp/fbgui_trigger
# path to script (including script name)
@@ -31,6 +50,10 @@ display_id=$(grep -n $(whoami) /etc/passwd| head -n 1|awk -F : '{print $1}')
# quick sleep to wait for qvfb loading
sleep 0.2
# Start fbgui connecting to QVFb with display_id from above.
+<<<<<<< HEAD
$working_path/../workspace/fbgui/src/fbgui/fbgui -display QVFb:$display_id $@
+=======
+$PATH_TO_FBGUI_BUILD/src/fbgui/fbgui -display QVFb:$display_id $@ -e $PATH_TO_FBGUI_BUILD/src/customdhcpcd/cdhcpcd
+>>>>>>> 2abf1cec73371fb4a97a078a47f521d23fbf0775
# kill qvfb since fbgui stopped
killall qvfb